import type { ExtractPropTypes, InjectionKey, PropType, SetupContext, Ref } from 'vue';
import type { DiffFile } from 'diff2html/lib/types';
export declare type OutputFormat = 'line-by-line' | 'side-by-side';
export declare const codeReviewProps: {
    diff: {
        type: StringConstructor;
        required: boolean;
        default: string;
    };
    fold: {
        type: BooleanConstructor;
        default: boolean;
    };
    outputFormat: {
        type: PropType<OutputFormat>;
        default: string;
    };
};
export declare type CodeReviewProps = ExtractPropTypes<typeof codeReviewProps>;
export interface CodeReviewContext {
    diffInfo: DiffFile;
    isFold: Ref<boolean>;
    rootCtx: SetupContext;
}
export declare const CodeReviewInjectionKey: InjectionKey<CodeReviewContext>;
